Header.hpp File Reference
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <ui-utilcpp/Exception.hpp>`
`#include <ui-utilcpp/Text.hpp>`
Include dependency graph for Header.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Util::Http::Exception
| Exception for Http namespace. More...
class | UI::Util::Http::RequestLine
| Parse and represent a request's request line. More...
class | UI::Util::Http::StatusLine
| Parse and represent a response's status line. More...
class | UI::Util::Http::HeaderField
| Header field. More...
class | UI::Util::Http::Header
| Array of header fields. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.
namespace | UI::Util::Http
| Namespace for all HTTP related code.

## Functions

bool | UI::Util::Http::verifyVersion (std::string const &version, bool const &doThrow=true)
| Helper to verify a version string.